#include<stdio.h>
#include<stdlib.h>
void citaj (int a[],int n)
{
	int i;
	for (i=0;i<n;i++){
		scanf ("%d",&a[i]);
	}
}

int main()
{
	int n,q,i,j,minBr,x,y,z;
	scanf("%d%d",&n,&q);
	int a[n],b[q];
	citaj(a,n);
	citaj(b,q);
	x=0;
	y=0;
	z=0;
	for(j=0;j<q;j++)
	{
		for(i=0;i<n;i++)
		{
			
			if(a[i]==b[j])y++;
			else
			if(a[i]>b[j])z++;
			else
			if(a[i]<b[j])x++;
			printf("x:%d y:%d z:%d\n",x,y,z);
		}
		
		if(x>z) printf("%d\t",x-y-z);
		if(x<z) printf("%d\t",z-x-y-1);
		if(x==z)printf("0\t");
		x=0;
		y=0;
		z=0;
	}
	
}